Page MenuHomePhabricator

Create basic tool for reading books (group of pages)
Closed, DeclinedPublic

Description

The ultimate goal is to have something, at least, similar to this prototype [1]

It must be compatible with Wikisource, Wikibooks, and occasionally Wikipedia.

This is is split into other small bugs (dependencies) to facilitate the work.

[1]http://www.mollywhite.net/storage/gsoc/navbar.html


Version: master
Severity: enhancement

Details

Reference
bz50386

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedLegoktm
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedLegoktm
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedNone
DeclinedNone
InvalidNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:48 AM
bzimport set Reference to bz50386.

I have created Google Code-in tasks for the depending bugs that were ready for it, and I have left questions/requests in the rest.

Are there more BookManager v2 related bugs anywhere? Raylton mentioned twenty-something reports, but here there are only six open.

Now Raylton is a GCI mentor and Legoktm (mentor too) has been helping reviewing patches and tasks. I will leave you all the initiative in BookManager tasks.

As you can see GCI students are getting tasks done. The more you invest at the beginning, the more they learn, and the faster they get completing new tasks. Make sure that there is always BookManager tasks open, so they don't go away and repeat instead!

I will go to another area, maybe another GSoC project, to harvest tasks and, eventually, new mentors. :) Thank you very much!

djdeepalijain811 wrote:

Hi! I am Deepali Jain. I wish to take up this bug as a part of the project Book management in Wikibooks/Wikisource for GSoC and OPW 2014.

Deepali: Feel free to link to the wikipage with your proposal here, please.

djdeepalijain811 wrote:

(In reply to Andre Klapper from comment #5)

Deepali: Feel free to link to the wikipage with your proposal here, please.

Here is the link to my proposal:
https://www.mediawiki.org/wiki/User:Jaindeepali/Proposal
I'll be glad to receive feedback.

Aklapper lowered the priority of this task from Low to Lowest.Feb 11 2016, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2016, 6:08 PM
MarcoAurelio closed this task as Declined.Nov 7 2017, 9:53 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining because BookManagerv2 is an archived extension now. Please see T178938: Archive the BookManagerv2 extension for details. All Gerrit patches were already abandoned long ago.

MarcoAurelio closed this task as Declined.Nov 7 2017, 9:55 AM